Open SCAP Library: Data Structures

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

__attribute__ |
__dbginf_t |
__fprintfa_t |
__IDres_pair |
__thr_collection |
_ftsent |
_interpret_map |
_lnode |
_oresults |
_oval_collection_item_frame |
_oval_variable_model_frame |
_xccdf_text_substitution_data |
bitmap_t |
callback_out_t | Typedef of callback structure with callback function and usr data (optional) After rule evaluation action will be called the callback with user data
callback_t | Typedef of callback structure with system identificator, callback function and usr data (optional) On evaluation action will be selected checking system and appropriate callback registred by tool for that system
cbargs |
cce | Structure holding CCE entries
cce_entry | Structure holding single CCE entry data
cce_entry_iterator | Iterator over CCE entries
cce_reference | Structure holding a CCE reference
cce_reference_iterator | Iterator over CCE references
check_engine_plugin_def |
cpe23_item |
cpe_check | Structure representing single CPE check
cpe_check_cb_usr |
cpe_check_iterator | Iterator over CPE dictionary checks
cpe_dict_model | Structure representing a CPE dictionary
cpe_edition | Edition of product update
cpe_edition_iterator | Iterator over CPE dictionary item editions
cpe_ext_deprecatedby |
cpe_ext_deprecation |
cpe_generator | Structure with information about document
cpe_item | Structure representing single CPE dictionary item
cpe_item_iterator | Iterator over CPE dictionary items
cpe_item_metadata | Structure representing metadata of CPE item
cpe_lang_model | CPE platform specification
cpe_language | Language of product edition
cpe_language_iterator | Iterator over CPE dictionary item languages
cpe_name | Structure holding Common Platform Enumeration URI data
cpe_parser_ctx |
cpe_platform | Single platform representation in CPE language
cpe_platform_iterator | Iterator over CPE dictionary items
cpe_product | Product of some vendor
cpe_product_iterator | Iterator over CPE dictionary item products
cpe_reference | CPE dictionary item reference
cpe_reference_iterator | Iterator over CPE dictionary references
cpe_testexpr | CPE language boolean expression
cpe_testexpr_iterator | Iterator over CPE language expressions
cpe_update | Update of product version
cpe_update_iterator | Iterator over CPE dictionary item updates
cpe_vendor | Structure with information about vendor
cpe_vendor_iterator | Iterator over CPE dictionary item vendors
cpe_version | Version of product
cpe_version_iterator | Iterator over CPE dictionary item versions
ctxt |
cve_configuration | Structure CVE vulnerable configuration data
cve_configuration_iterator | Iterator over CVE vulnerable configurations
cve_entry | Structure holding CVE entry data
cve_entry_iterator | Iterator over CVE entries
cve_list | Cve_list is the top level element of the CVE List provided by MITRE
cve_model | Structure holding CVE model
cve_product | Structure holding CVE product data
cve_product_iterator | Iterator over CVE products
cve_reference | Structure holding CVE reference data
cve_reference_iterator | Iterator over CVE references
cve_summary | Structure holding CVE summary data
cve_summary_iterator | Iterator over CVE summaries
cvss_impact | CVSS impact
cvss_keytab_entry |
cvss_metrics | CVSS metrics
cvss_valtab_entry |
cwe_entry | Structure holding CWE data
dbEngineMap_t |
dbURIInfo_t |
digest_ctbl_t |
dpkginfo_global |
dpkginfo_reply_t |
ds_sds_index | Represents <data-stream-collection> element - the root element of each source datastream
ds_stream_index | Contains information about one particular "<data-stream>" element in the datastream collection (also called SDS = source datastream)
ds_stream_index_iterator |
err_queue |
fsdev_t | Filesystem device structure
FTS |
id_desc_t | Holds information for item ids generation
interface_t |
llist |
oresults |
oscap_err_t |
oscap_file_entry |
oscap_file_entry_iterator |
oscap_file_entry_list |
oscap_htable |
oscap_htable_item |
oscap_htable_iterator |
oscap_iterator |
oscap_list |
oscap_list_item |
oscap_reference |
oscap_schema_table_entry |
oscap_string_iterator | String iterator
oscap_string_map | Define mapping between symbolic constant and its string representation
oscap_stringlist | A collection of strings
oscap_stringlist_iterator | Iterator over collections of strings
oscap_text | Representation of internationalizable character strings
oscap_text_iterator | Internationalized string iterator
oscap_text_traits | Oscap_text traits
oscap_tsort_context |
oval_affected | Each OVAL Definition specifies certain type of affected system(s)
oval_affected_iterator |
oval_agent_session |
oval_argu_t |
oval_behavior | OVAL behavior
oval_behavior_iterator |
oval_collection |
oval_component | OVAL variable component Oval_component instances specify evaluation constraints on local variables (see oval_variable_get_type)
oval_component_ARITHMETIC |
oval_component_BEGEND |
oval_component_FUNCTION |
oval_component_iterator |
oval_component_LITERAL |
oval_component_OBJECTREF |
oval_component_REGEX_CAPTURE |
oval_component_SPLIT |
oval_component_SUBSTRING |
oval_component_TIMEDIF |
oval_component_VARREF |
oval_consume_varref_context |
oval_content_resource |
oval_criteria_node | Specify oval_definition dependencies
oval_criteria_node_CRITERIA |
oval_criteria_node_CRITERION |
oval_criteria_node_EXTENDDEF |
oval_criteria_node_iterator |
oval_definition | Oval definition specification
oval_definition_iterator |
oval_definition_model | Oval definition model
oval_directives_model | This structure holds instance of OVAL Directives
oval_entity | OVAL entity
oval_entity_iterator |
oval_filter | OVAL filter
oval_filter_iterator |
OVAL_FTS |
OVAL_FTSENT |
oval_generator |
oval_iterator |
oval_message | OVAL message
oval_message_iterator |
oval_object | An Oval_object instance describes a set of items to look for on an instrumented host platform
oval_object_content | An Oval_object_content instance specifies an oval_object field
oval_object_content_ENTITY |
oval_object_content_FILTER |
oval_object_content_iterator |
oval_object_content_SET |
oval_object_iterator |
oval_parser_context |
oval_pd_t |
oval_pdsc |
oval_pdtbl_t |
oval_pext |
oval_ph |
oval_phtbl |
oval_probe_meta_t |
oval_probe_session | OVAL probe session structure
oval_record_field |
oval_record_field_ITEM |
oval_record_field_iterator |
oval_record_field_STATE |
oval_reference | An Oval_reference links an Oval_definition to a definitive external reference
oval_reference_iterator |
oval_result_criteria_node |
oval_result_criteria_node_CRITERIA |
oval_result_criteria_node_CRITERION |
oval_result_criteria_node_EXTENDDEF |
oval_result_criteria_node_iterator |
oval_result_definition |
oval_result_definition_iterator |
oval_result_directives | This structure holds instance of either OVAL Default Directives or OVAL Class directives
oval_result_item |
oval_result_item_iterator |
oval_result_system |
oval_result_system_iterator |
oval_result_test |
oval_result_test_iterator |
oval_result_to_xccdf_spec | Specification of structure for transformation of OVAL Result type to XCCDF result type
oval_results_model | OVAL Results Model holds OVAL results structure instances
oval_set_AGGREGATE |
oval_set_COLLECTIVE |
oval_set_context |
oval_setobject | OVAL set object
oval_setobject_iteraor |
oval_smc_iterator |
oval_state | An Oval_state instance is a collection of one or more characteristics pertaining to a specific object type
oval_state_content | An Oval_state_content instance specifies an oval_state field
oval_state_content_iterator |
oval_state_iterator |
oval_string_iterator |
oval_subtypedsc_t |
oval_syschar | Characteristics bound to an Oval_object
oval_syschar_iterator |
oval_syschar_model | OVAL System Characteristics model
oval_syschar_parse_subtag_varval_context |
oval_sysent |
oval_sysent_iterator |
oval_sysinfo | General instrumented host description
oval_sysinfo_iterator |
oval_sysint | Network interface description
oval_sysint_iterator |
oval_sysitem | Each instance of Oval_sysitem represents one item
oval_sysitem_iterator |
oval_test | An Oval_test specifies a technical control by identifying an oval_object that is evaluated on an instrumented host platform and, optionally, an Oval_state instance that matches the object query
oval_test_iterator |
oval_value | OVAL object or item entity value
oval_value_iterator |
oval_variable | An oval variable resolves an oval_value stream which specifies constraints for oval_object s and oval_state s
oval_variable_binding | Binding of an value to an OVAL variable
oval_variable_binding_iterator |
oval_variable_CONSTANT_t |
oval_variable_EXTERNAL_t |
oval_variable_iterator |
oval_variable_LOCAL_t |
oval_variable_model | The OVAL variable model facilitates access to external variable value bindings used to to constrain the evaluation of OVAL objects
oval_variable_model_iterator |
oval_variable_UNKNOWN_t |
pfdata |
probe_citem_t |
probe_ctx |
probe_elmatr_t |
probe_icache_t |
probe_iqpair_t |
probe_ncache_t | Element name cache structure
probe_option_t |
probe_pwpair_t |
probe_rcache_t | Probe cache structure
probe_t |
probe_varref_ctx |
probe_varref_ctx_ent |
probe_worker_t |
proc_memusage |
rbt |
rbt_i32_node |
rbt_i64_node |
rbt_node | Generic node structure Lowest bit of _chld[0] holds the color bit
rbt_str_node |
rds_asset_index |
rds_asset_index_iterator |
rds_index | Represents <asset-report-collection> element - the root element of each result datastream in Asset Reporting Format = ARF
rds_report_index |
rds_report_index_iterator |
rds_report_request_index |
rds_report_request_index_iterator |
result_info |
route_info |
rpminfo_global |
rpminfo_rep |
rpminfo_req |
rpmverify_bhmap_t |
rpmverify_global |
rpmverify_res |
rpmverifyfile_bhmap_t |
rpmverifypackage_bhmap_t |
runlevel_rep |
runlevel_req |
sce_check_result |
sce_check_result_iterator | Iterator over collections of sce_check_results
sce_parameters |
sce_session |
sch_consdata_t |
sch_genericdata_t |
sch_pipedata_t |
SEAP_attr |
SEAP_cmd |
SEAP_cmdjob_t |
SEAP_cmdrec_t |
SEAP_cmdtbl_t |
SEAP_CTX |
SEAP_desc_t |
SEAP_desctable_t |
SEAP_err |
SEAP_msg |
SEAP_packet |
SEAP_packetq_item |
SEAP_packetq_t |
SEAP_schemefn_t |
SEAP_synchelper |
server_info |
SEXP |
SEXP_datatype |
SEXP_datatype_extptr |
SEXP_datatype_ops |
SEXP_datatypeTbl |
SEXP_list_it |
SEXP_lstack_t |
SEXP_ostate |
SEXP_pext_dsc |
SEXP_psetup |
SEXP_pstate |
SEXP_val_lblk |
SEXP_val_list |
SEXP_val_t |
spb_item_t |
spb_t |
strblk |
strbuf_t |
sys_memusage |
tty_map_node |
val_col_lst_s |
xccdf_attribute_spec |
xccdf_backref |
xccdf_benchmark | Top level XCCDF structure containing profiles, rules, values and results
xccdf_benchmark_item |
xccdf_check | XCCDF simple or complex check
_xccdf_check_flags |
xccdf_check_content_ref | XCCDF check content reference
xccdf_check_content_ref_iterator | Check content references iterator
xccdf_check_export | XCCDF check export
xccdf_check_export_iterator | Check export iterator
xccdf_check_import | XCCDF check import
xccdf_check_import_iterator | Check import iterator
xccdf_check_iterator | Check iterator
xccdf_default_score | XCCDF Default score structure represents Default XCCDF Score model for each rule
xccdf_defflags |
xccdf_element_spec |
xccdf_fix | XCCDF automatic fix
xccdf_fix_iterator | Fix iterator
xccdf_fixtext | XCCDF textual fix instructions
xccdf_fixtext_iterator | Textual fix iterator
xccdf_flags |
xccdf_flat_score | XCCDF Flat score structure represents Flat XCCDF Score model for each rule
xccdf_group | XCCDF rule group
xccdf_group_item |
xccdf_ident | XCCDF rule ident URI
xccdf_ident_iterator | Ident iterator
xccdf_identity | XCCDF identity
xccdf_identity_iterator | Reference iterator
xccdf_instance | XCCDF instance
xccdf_instance_iterator | Instance iterator
xccdf_item | A base class for XCCDF items
xccdf_item_base |
xccdf_item_iterator | String iterator
xccdf_message | XCCDF message
xccdf_message_iterator | Message iterator
xccdf_model | XCCDF scoring model
xccdf_model_iterator | Model iterator
xccdf_notice | XCCDF benchmark legal notice
xccdf_notice_iterator | Notice iterator
xccdf_override | XCCDF override
xccdf_override_iterator | Override iterator
xccdf_plain_text | XCCDF target fact
xccdf_plain_text_iterator | Plain text iterator
xccdf_policy | XCCDF policy structure is abstract (class) structure of Profile element from benchmark
xccdf_policy_iterator | Iterate through policies
xccdf_policy_model | XCCDF policy model structure contains xccdf_benchmark as reference to Benchmark element in XML file and list of policies that are abstract structure of Profile element from benchmark file
xccdf_profile | XCCDF profile is a set of tests and their settings in a compact package
xccdf_profile_item |
xccdf_profile_iterator | Profile iterator
xccdf_profile_note | XCCDF note for given rule in context of given profile
xccdf_profile_note_iterator | Profile note iterator
xccdf_refine_rule | XCCDF refine rule option used in the profile
xccdf_refine_rule_iterator | Refine rule iterator
xccdf_refine_value | XCCDF refine value option used in the profile
xccdf_refine_value_iterator | Refine value iterator
xccdf_result | Actual results of running a XCCDF test or profile
xccdf_result_item |
xccdf_result_iterator | Result iterator
xccdf_rule | XCCDF rule defines a test execution
xccdf_rule_item |
xccdf_rule_result | XCCDF rule result
xccdf_rule_result_iterator | Override iterator
xccdf_score | XCCDF score
xccdf_score_iterator | Override iterator
xccdf_select | XCCDF select option usen in the profile
xccdf_select_iterator | Select iterator
xccdf_session | A structure encapsulating the context of XCCDF operations
xccdf_setvalue | XCCDF set value option used in the profile
xccdf_setvalue_iterator | Set value iterator
xccdf_status | XCCDF item status
xccdf_status_iterator | Status iterator
xccdf_tailoring | Stores content from xccdf:Tailoring element which can be loaded from a separate file
xccdf_target_fact | XCCDF target fact
xccdf_target_fact_iterator | Override iterator
xccdf_target_identifier | Can be either <target-id-ref> or some other element
xccdf_target_identifier_iterator | Override iterator
xccdf_value | XCCDF Value allows test parametrization or capturing output of tests
xccdf_value_binding | XCCDF value binding structure is binding between Refine values, Set values, Value element and Check export element of benchmark
xccdf_value_instance |
xccdf_value_instance_iterator | Value instance iterator
xccdf_value_item |
xccdf_value_iterator | Select iterator
xccdf_version_info |
xccdf_warning | XCCDF warning
xccdf_warning_iterator | Warning iterator
xiconf_attr |
xiconf_file_t |
xiconf_service_t |
xiconf_strans_t |
xiconf_t |